--NAME:CHECK_DNS
--INFRA:BASE

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'CHECK_DNS','/usr/local/esia/plugins/check_dns','default',NULL,'-s $IP -H <host> -w 2 -c 3',300000,'Test le service DNS. 
 ex interne: check_dns -H draco.srv.esia.local -s 10.7.0.1 -w 1 -c 2 
 ex reverse: check_dns -H 10.7.0.2 -s 10.7.0.1 -w 1 -c 2 
 ex externe: check_dns -H www.opendns.org -s 10.7.0.1 -w 1 -c 2 
 ex ','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_DNS.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_DNS'),'GAUGE','#([0-9]*[,\.][0-9]*)\s+seconds#',300,DEFAULT,'dns',0,-1,'second','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
