--NAME:CHECK_SNMP_LINUX_MEM
--INFRA:BASE

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'CHECK_SNMP_LINUX_MEM','/usr/local/esia/plugins/check_snmp_mem.pl','default',NULL,'-H $IP -C $SNMP_COM -w 80,10 -c 90,60',120000,'Récupère la quantité de mémoire RAM et SWAP consommée par un système Linux/unix 
 ','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_LINUX_MEM.php');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'GAUGE','#Swap\s+\:\s+([0-9]*)\%#',300,DEFAULT,'swap',0,100,'percent','LINE1','#FF00FF','#\-w\s+[0-9]*,([0-9]*).*\-c\s+[0-9]*,([0-9]*)#',NULL,NULL);
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'GAUGE','#\/([0-9]*)MB\)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA','#F79F81',NULL,2,'*1000000');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'GAUGE','#\(([0-9]*)MB\/#',300,DEFAULT,'Used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,'*1000000');
INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'GAUGE','#Ram\s+\:\s+([0-9]*)\%#',300,DEFAULT,'ram',0,100,'percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);
