UPDATE rrd_plugins
SET rrd_regex='#used=([0-9]*)#'
WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_path='/usr/local/esia/plugins/check_snmp_storage.pl')
	AND rrd_regex IN ('#\:\s+([0-9]*)\%used#','#([0-9\.]*)\%used#');

UPDATE rrd_plugins
SET rrd_regex='#totalByte=([0-9]*)#',rrd_calc=NULL
WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_path='/usr/local/esia/plugins/check_snmp_storage.pl')
	AND rrd_name='Total';

UPDATE rrd_plugins
SET rrd_regex='#usedByte=([0-9]*)#',rrd_calc=NULL
WHERE  rrd_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_path='/usr/local/esia/plugins/check_snmp_storage.pl')
	AND rrd_name='Used';

--By Julien
UPDATE esia_plugins SET 
plugin_manufacturer='LINUX',
plugin_tag='LINUX,STORAGE,FIREWALL'
WHERE plugin_name = 'CHECK_SNMP_LINUX_STORAGE';

UPDATE esia_plugins SET 
plugin_tag='INTERFACE'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_INTERFACE';

UPDATE esia_plugins SET 
plugin_tag='IO DISK'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_IO';

UPDATE esia_plugins SET 
plugin_tag='LOAD,CPU'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_LOAD';

UPDATE esia_plugins SET 
plugin_tag='SERVICE'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_SERVICE';

UPDATE esia_plugins SET 
plugin_tag='SMARTCTL'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_SMARTCTL';

UPDATE esia_plugins SET 
plugin_tag='STORAGE,USED,SPACE'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_STORAGE';

UPDATE esia_plugins SET 
plugin_tag='TASK,PLANIFIED'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_TASK';

UPDATE esia_plugins SET 
plugin_tag='TIME'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_TIME';

UPDATE esia_plugins SET 
plugin_tag='UPTIME'
WHERE plugin_name LIKE '%_PWSH_WINDOWS_UPTIME';
